From 97c1df4bb05966a4ce53b07271eff2f53284e235 Mon Sep 17 00:00:00 2001
From: Matthias Clasen <mclasen@redhat.com>
Date: Fri, 21 Oct 2011 20:23:03 +0000
Subject: Fix natural/min widht calculations for empty grids

https://bugzilla.gnome.org/show_bug.cgi?id=660139
---
diff --git a/gtk/gtkgrid.c b/gtk/gtkgrid.c
index a122ad4..78ae2ff 100644
--- a/gtk/gtkgrid.c
+++ b/gtk/gtkgrid.c
@@ -927,8 +927,13 @@ gtk_grid_request_sum (GtkGridRequest *request,
   linedata = &priv->linedata[orientation];
   lines = &request->lines[orientation];

-  min = (nonempty - 1) * linedata->spacing;
-  nat = (nonempty - 1) * linedata->spacing;
+  min = 0;
+  nat = 0;
+  if (nonempty > 0)
+    {
+      min = (nonempty - 1) * linedata->spacing;
+      nat = (nonempty - 1) * linedata->spacing;
+    }

   for (i = 0; i < lines->max - lines->min; i++)
     {
--
cgit v0.9.0.2
